Package org.eclipse.ecf.provider.filetransfer.browse

# Class URLRemoteFile

java.lang.Object
org.eclipse.ecf.provider.filetransfer.browse.URLRemoteFile

All Implemented Interfaces:
  `org.eclipse.core.runtime.IAdaptable`, `IRemoteFile`

public class URLRemoteFile extends Object implements IRemoteFile

## Constructor Summary

Constructors
Constructor
Description
`URLRemoteFile(long lastModified, long fileLength, IFileID fileID)`

## Method Summary

Modifier and Type
Method
Description
`<T> T`
`getAdapter(Class<T> adapter)`
`IFileID`
`getID()`
Get the remote file id associated with this file.
`IRemoteFileInfo`
`getInfo()`
Get remote file info associated with this remote file.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### URLRemoteFile

public URLRemoteFile(long lastModified, long fileLength, IFileID fileID)

## Method Details

### getID

public IFileID getID()
Description copied from interface: `IRemoteFile`
Get the remote file id associated with this file.

Specified by:
  `getID` in interface `IRemoteFile`
Returns:
  the file id associated with this file. Will not be `null`.

### getInfo

public IRemoteFileInfo getInfo()
Description copied from interface: `IRemoteFile`
Get remote file info associated with this remote file.

Specified by:
  `getInfo` in interface `IRemoteFile`
Returns:
  file info. Will not be `null`.

### getAdapter

public <T> T getAdapter(Class<T> adapter)

Specified by:
  `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`

### toString

public String toString()

Overrides:
  `toString` in class `Object`